package org.gcube.portlets.widgets.pickitem.client.events;

import org.gcube.portlets.widgets.pickitem.shared.ItemBean;

import com.google.gwt.event.shared.GwtEvent;



public class PickedUserEvent  extends GwtEvent<PickedUserEventHandler> {
	public static Type<PickedUserEventHandler> TYPE = new Type<PickedUserEventHandler>();
	
	private ItemBean user;
	

	public ItemBean getSelectedUser() {
		return user;
	}
	public PickedUserEvent(ItemBean user) {
		this.user = user;
	}

	@Override
	public Type<PickedUserEventHandler> getAssociatedType() {
		return TYPE;
	}

	@Override
	protected void dispatch(PickedUserEventHandler handler) {
		handler.onSelectedUser(this);
	}
}
